Get Customer
Retrieve a customer profile by ID.
Updated
On this page
Overview
Retrieve the authenticated customer's full profile. This is the same as Profile Management, accessed through the auth module.
SDK Usage
import dash from "@/lib/dash"
const { customer } = await dash.auth.getProfile()
// Quick access via getter
const customer = dash.auth.customer
Customer Object
{
"id": "cust_abc123",
"email": "jane@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "555-0123",
"has_password": true,
"has_address": true,
"address": {
"address_line1": "123 Main St",
"address_line2": "Apt 4B",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country": "US"
},
"loyalty_points": 250,
"loyalty_balance": "$12.50",
"tier": "gold",
"tier_name": "Gold Member",
"accepts_marketing": true,
"metadata": {
"preferred_strain": "indica"
}
}
REST API
GET /storefront/auth/me
Authorization: Bearer {access_token}
X-API-Key: pk_live_your_key
Next Steps
- Update Customer — Modifying profile data
- Customer Points — Loyalty points system
- Customer Orders — Order history
Segments, history and the help desk built on these records are described in customers and CRM.